summaryrefslogtreecommitdiff
path: root/tests.build/stratum-overlap-warns.setup
diff options
context:
space:
mode:
authorSam Thursfield <sam.thursfield@codethink.co.uk>2013-01-29 11:58:13 +0000
committerSam Thursfield <sam.thursfield@codethink.co.uk>2013-02-20 16:50:05 +0000
commit8d9a939630bc677c2d2e7c4202a400f9bc0ab3ad (patch)
tree5739316c27531d30be13809f61d0e1e4e630abe9 /tests.build/stratum-overlap-warns.setup
parentb4d343b46883ef52df656f0f6401dc6bb1d6e8dd (diff)
downloadmorph-8d9a939630bc677c2d2e7c4202a400f9bc0ab3ad.tar.gz
Separate out build tests from general Morph tests
Diffstat (limited to 'tests.build/stratum-overlap-warns.setup')
-rwxr-xr-xtests.build/stratum-overlap-warns.setup117
1 files changed, 117 insertions, 0 deletions
diff --git a/tests.build/stratum-overlap-warns.setup b/tests.build/stratum-overlap-warns.setup
new file mode 100755
index 00000000..ef771794
--- /dev/null
+++ b/tests.build/stratum-overlap-warns.setup
@@ -0,0 +1,117 @@
+#!/bin/sh
+#
+# If a stratum has multiple chunks that have the same files in them,
+# then this should be notified
+#
+# Copyright (C) 2011-2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -eu
+
+chunkrepo="$DATADIR/chunk-repo"
+morphsrepo="$DATADIR/morphs-repo"
+
+cd "$morphsrepo"
+git checkout --quiet -b overlap master
+cat <<EOF >overlap-stratum.morph
+{
+ "name": "overlap-stratum",
+ "kind": "stratum",
+ "chunks": [
+ {
+ "name": "dirs",
+ "repo": "test:chunk-repo",
+ "ref": "overlap",
+ "build-depends": []
+ },
+ {
+ "name": "overlap-foobar",
+ "repo": "test:chunk-repo",
+ "ref": "overlap",
+ "build-depends": ["dirs"]
+ },
+ {
+ "name": "overlap-fooqux",
+ "repo": "test:chunk-repo",
+ "ref": "overlap",
+ "build-depends": ["overlap-foobar"]
+ },
+ {
+ "name": "overlap-foo-baz",
+ "repo": "test:chunk-repo",
+ "ref": "overlap",
+ "build-depends": ["overlap-fooqux"]
+ }
+ ]
+}
+EOF
+git add overlap-stratum.morph
+git commit --quiet -m "add overlapping stratum"
+
+cd "$chunkrepo"
+git checkout --quiet -b overlap master
+
+cat <<EOF >dirs.morph
+{
+ "name": "dirs",
+ "kind": "chunk",
+ "install-commands": [
+ "mkdir -p \$DESTDIR/bin",
+ "ln -s / \$DESTDIR/usr"
+ ]
+}
+EOF
+git add dirs.morph
+
+cat <<EOF >overlap-foo-baz.morph
+{
+ "name": "overlap-foo-baz",
+ "kind": "chunk",
+ "install-commands": [
+ "mkdir -p \$DESTDIR/bin",
+ "for f in foo bar baz; do echo echo \$f >\$DESTDIR/bin/\$f; done"
+ ]
+}
+EOF
+git add overlap-foo-baz.morph
+
+cat <<EOF >overlap-foobar.morph
+{
+ "name": "overlap-foobar",
+ "kind": "chunk",
+ "install-commands": [
+ "mkdir -p \$DESTDIR/usr/bin \$DESTDIR/bin",
+ "echo echo foobar >\$DESTDIR/usr/bin/foobar",
+ "ln -s /usr/bin/foobar \$DESTDIR/bin/foo",
+ "ln -s /usr/bin/foobar \$DESTDIR/bin/bar"
+ ]
+}
+EOF
+git add overlap-foobar.morph
+
+cat <<EOF >overlap-fooqux.morph
+{
+ "name": "overlap-fooqux",
+ "kind": "chunk",
+ "install-commands": [
+ "mkdir -p \$DESTDIR/usr/bin \$DESTDIR/bin",
+ "for f in qux fooqux; do echo echo \$f >\$DESTDIR/usr/bin/\$f; done",
+ "ln -s /usr/bin/fooqux \$DESTDIR/bin/foo"
+ ]
+}
+EOF
+git add overlap-fooqux.morph
+
+git commit --quiet -m 'Add overlapping chunks'